Bug 166727 - [msk] msk driver keeps erroring
Summary: [msk] msk driver keeps erroring
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 9.0-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pyun YongHyeon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-07 15:30 UTC by Jack
Modified: 2018-09-28 06:10 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jack 2012-04-07 15:30:01 UTC
The msk network driver keeps erroring when the internet is used. When it stops working

msk0: watchdog timeout
msk0: prefetch unit stuck?
msk0: initialization failed: no memory for Rx buffers 

comes up. The only way to fix this is to power cycle the laptop.

I've tried ifconfig msk0 -tso -rxcsum -txcsum and ifconfig media 10baseT which makes the connection stay up slightly longer but it still dies after some data transfer.

dmesg and pciconf -lv output below

FreeBSD laptop.jack.com 9.0-RELEASE FreeBSD 9.0-RELEASE #0: Tue Jan  3 07:46:30 UTC 2012     root@farrell.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC  amd64
laptop# catr /var/runb
laptop# cat /var/run/dmesg.boot 
Copyright (c) 1992-2012 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 9.0-RELEASE #0: Tue Jan  3 07:46:30 UTC 2012
    root@farrell.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC amd64
CPU: AMD Turion(tm) 64 Mobile Technology ML-37 (1989.85-MHz K8-class CPU)
  Origin = "AuthenticAMD"  Id = 0x20f42  Family = f  Model = 24  Stepping = 2
  Features=0x78bfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,MMX,FXSR,SSE,SSE2>
  Features2=0x1<SSE3>
  AMD Features=0xe2500800<SYSCALL,NX,MMX+,FFXSR,LM,3DNow!+,3DNow!>
  AMD Features2=0x1<LAHF>
real memory  = 2147483648 (2048 MB)
avail memory = 1916461056 (1827 MB)
Event timer "LAPIC" quality 400
ACPI APIC Table: <GATEWA M300    >
ioapic0 <Version 2.1> irqs 0-23 on motherboard
kbd1 at kbdmux0
acpi0: <GATEWA M300> on motherboard
acpi0: Overriding SCI from IRQ 9 to IRQ 21
acpi0: Power Button (fixed)
acpi0: reservation of 0, 1000 (3) failed
Timecounter "ACPI-fast" frequency 3579545 Hz quality 900
acpi_timer0: <32-bit timer at 3.579545MHz> port 0x8008-0x800b on acpi0
cpu0: <ACPI CPU> on acpi0
acpi_ec0: <Embedded Controller: GPE 0x1c> port 0x62,0x66 on acpi0
acpi_button0: <Power Button> on acpi0
acpi_button1: <Sleep Button> on acpi0
acpi_lid0: <Control Method Lid Switch> on acpi0
acpi_acad0: <AC Adapter> on acpi0
battery0: <ACPI Control Method Battery> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI PCI-PCI bridge> at device 1.0 on pci0
pci1: <ACPI PCI bus> on pcib1
vgapci0: <VGA-compatible display> port 0x9000-0x90ff mem 0xc8000000-0xcfffffff,0xc0100000-0xc010ffff irq 17 at device 5.0 on pci1
pcib2: <ACPI PCI-PCI bridge> at device 6.0 on pci0
pci3: <ACPI PCI bus> on pcib2
mskc0: <Marvell Yukon 88E8036 Fast Ethernet> port 0xa000-0xa0ff mem 0xc0200000-0xc0203fff irq 18 at device 0.0 on pci3
msk0: <Marvell Technology Group Ltd. Yukon FE Id 0xb7 Rev 0x01> on mskc0
msk0: disabling jumbo frame support
msk0: Ethernet address: 00:e0:b8:90:7e:76
miibus0: <MII bus> on msk0
e1000phy0: <Marvell 88E3082 10/100 Fast Ethernet PHY> PHY 0 on miibus0
e1000phy0:  none, 10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, auto, auto-flow
ohci0: <ATI SB400 USB Controller> mem 0xc0000000-0xc0000fff irq 19 at device 19.0 on pci0
usbus0: <ATI SB400 USB Controller> on ohci0
ohci1: <ATI SB400 USB Controller> mem 0xc0001000-0xc0001fff irq 19 at device 19.1 on pci0
usbus1: <ATI SB400 USB Controller> on ohci1
ehci0: <ATI SB400 USB 2.0 controller> mem 0xc0002000-0xc0002fff irq 19 at device 19.2 on pci0
usbus2: EHCI version 1.0
usbus2: <ATI SB400 USB 2.0 controller> on ehci0
pci0: <serial bus, SMBus> at device 20.0 (no driver attached)
atapci0: <ATI IXP400 UDMA133 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0x8410-0x841f at device 20.1 on pci0
ata0: <ATA channel 0> on atapci0
ata1: <ATA channel 1> on atapci0
isab0: <PCI-ISA bridge> at device 20.3 on pci0
isa0: <ISA bus> on isab0
pcib3: <ACPI PCI-PCI bridge> at device 20.4 on pci0
pci5: <ACPI PCI bus> on pcib3
pci5: <network> at device 2.0 (no driver attached)
cbb0: <TI6411 PCI-CardBus Bridge> at device 9.0 on pci5
cardbus0: <CardBus bus> on cbb0
pccard0: <16-bit PCCard bus> on cbb0
fwohci0: <1394 Open Host Controller Interface> mem 0xc0308000-0xc03087ff,0xc0300000-0xc0303fff irq 21 at device 9.2 on pci5
fwohci0: OHCI version 1.10 (ROM=1)
fwohci0: No. of Isochronous channels is 4.
fwohci0: EUI64 00:e0:b8:03:00:03:76:6d
fwohci0: Phy 1394a available S400, 2 ports.
fwohci0: Link S400, max_rec 2048 bytes.
firewire0: <IEEE1394(FireWire) bus> on fwohci0
fwe0: <Ethernet over FireWire> on firewire0
if_fwe0: Fake Ethernet address: 02:e0:b8:03:76:6d
fwe0: Ethernet address: 02:e0:b8:03:76:6d
fwip0: <IP over FireWire> on firewire0
fwip0: Firewire address: 00:e0:b8:03:00:03:76:6d @ 0xfffe00000000, S400, maxrec 2048
dcons_crom0: <dcons configuration ROM> on firewire0
dcons_crom0: bus_addr 0x25b8000
fwohci0: Initiate bus reset
fwohci0: fwohci_intr_core: BUS reset
fwohci0: fwohci_intr_core: node_id=0x00000000, SelfID Count=2, CYCLEMASTER mode
pci5: <mass storage> at device 9.3 (no driver attached)
pci5: <base peripheral, SD host controller> at device 9.4 (no driver attached)
pci0: <multimedia, audio> at device 20.5 (no driver attached)
pci0: <simple comms, generic modem> at device 20.6 (no driver attached)
acpi_tz0: <Thermal Zone> on acpi0
atrtc0: <AT realtime clock> port 0x70-0x71 irq 8 on acpi0
Event timer "RTC" frequency 32768 Hz quality 0
attimer0: <AT timer> port 0x40-0x43 irq 0 on acpi0
Timecounter "i8254" frequency 1193182 Hz quality 0
Event timer "i8254" frequency 1193182 Hz quality 100
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
psm0: <PS/2 Mouse> irq 12 on atkbdc0
psm0: [GIANT-LOCKED]
psm0: model IntelliMouse, device ID 3
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
ppc0: cannot reserve I/O port range
acpi_throttle0: <ACPI CPU Throttling> on cpu0
powernow0: <PowerNow! K8> on cpu0
Timecounters tick every 1.000 msec
firewire0: 1 nodes, maxhop <= 0 cable IRM irm(0)  (me) 
firewire0: bus manager 0 
fwohci0: phy int
usbus0: 12Mbps Full Speed USB v1.0
usbus1: 12Mbps Full Speed USB v1.0
usbus2: 480Mbps High Speed USB v2.0
ugen0.1: <ATI> at usbus0
uhub0: <ATI OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus0
ugen1.1: <ATI> at usbus1
uhub1: <ATI OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus1
ugen2.1: <ATI> at usbus2
uhub2: <ATI EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus2
ada0 at ata0 bus 0 scbus0 target 0 lun 0
ada0: <HTS421280H9AT00 HA3OA70S> ATA-7 device
ada0: 100.000MB/s transfers (UDMA5, PIO 8192bytes)
ada0: 76319MB (156301488 512 byte sectors: 16H 63S/T 16383C)
ada0: Previously was known as ad0
Timecounter "TSC" frequency 1989853208 Hz quality 800
cd0 at ata1 bus 0 scbus1 target 0 lun 0
cd0: <PHILIPS DVD+-RW SDVD8820 AX03> Removable CD-ROM SCSI-0 device 
cd0: 33.300MB/s transfers (UDMA2, ATAPI 12bytes, PIO 65534bytes)
cd0: Attempt to query device size failed: NOT READY, Medium not present - tray closed
uhub0: 4 ports with 4 removable, self powered
uhub1: 4 ports with 4 removable, self powered
Root mount waiting for: usbus2
Root mount waiting for: usbus2
Root mount waiting for: usbus2
uhub2: 8 ports with 8 removable, self powered
Trying to mount root from ufs:/dev/ada0p2 [rw]...

hostb0@pci0:0:0:0:      class=0x060000 card=0x0300107b chip=0x59501002 rev=0x10 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'RS480 Host Bridge'
    class      = bridge
    subclass   = HOST-PCI
pcib1@pci0:0:1:0:       class=0x060400 card=0x0300107b chip=0x5a3f1002 rev=0x00 hdr=0x01
    vendor     = 'ATI Technologies Inc'
    device     = 'RS480 PCI Bridge'
    class      = bridge
    subclass   = PCI-PCI
pcib2@pci0:0:6:0:       class=0x060400 card=0x59501002 chip=0x5a381002 rev=0x00 hdr=0x01
    vendor     = 'ATI Technologies Inc'
    device     = 'RS480 PCI Bridge'
    class      = bridge
    subclass   = PCI-PCI
ohci0@pci0:0:19:0:      class=0x0c0310 card=0x0300107b chip=0x43741002 rev=0x00 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'IXP SB400 USB Host Controller'
    class      = serial bus
    subclass   = USB
ohci1@pci0:0:19:1:      class=0x0c0310 card=0x0300107b chip=0x43751002 rev=0x00 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'IXP SB400 USB Host Controller'
    class      = serial bus
    subclass   = USB
ehci0@pci0:0:19:2:      class=0x0c0320 card=0x0300107b chip=0x43731002 rev=0x00 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'IXP SB400 USB2 Host Controller'
    class      = serial bus
    subclass   = USB
none0@pci0:0:20:0:      class=0x0c0500 card=0x0300107b chip=0x43721002 rev=0x11 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'IXP SB400 SMBus Controller'
    class      = serial bus
    subclass   = SMBus
atapci0@pci0:0:20:1:    class=0x01018a card=0x0300107b chip=0x43761002 rev=0x00 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'IXP SB400 IDE Controller'
    class      = mass storage
    subclass   = ATA
isab0@pci0:0:20:3:      class=0x060100 card=0x0300107b chip=0x43771002 rev=0x00 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'IXP SB400 PCI-ISA Bridge'
    class      = bridge
    subclass   = PCI-ISA
pcib3@pci0:0:20:4:      class=0x060401 card=0x00000000 chip=0x43711002 rev=0x00 hdr=0x01
    vendor     = 'ATI Technologies Inc'
    device     = 'IXP SB400 PCI-PCI Bridge'
    class      = bridge
    subclass   = PCI-PCI
none1@pci0:0:20:5:      class=0x040100 card=0x0300107b chip=0x43701002 rev=0x02 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'IXP SB400 AC'97 Audio Controller'
    class      = multimedia
    subclass   = audio
none2@pci0:0:20:6:      class=0x070300 card=0x0300107b chip=0x43781002 rev=0x02 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'SB400 AC'97 Modem Controller'
    class      = simple comms
    subclass   = generic modem
hostb1@pci0:0:24:0:     class=0x060000 card=0x00000000 chip=0x11001022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices [AMD]'
    device     = 'K8 [Athlon64/Opteron] HyperTransport Technology Configuration'
    class      = bridge
    subclass   = HOST-PCI
hostb2@pci0:0:24:1:     class=0x060000 card=0x00000000 chip=0x11011022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices [AMD]'
    device     = 'K8 [Athlon64/Opteron] Address Map'
    class      = bridge
    subclass   = HOST-PCI
hostb3@pci0:0:24:2:     class=0x060000 card=0x00000000 chip=0x11021022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices [AMD]'
    device     = 'K8 [Athlon64/Opteron] DRAM Controller'
    class      = bridge
    subclass   = HOST-PCI
hostb4@pci0:0:24:3:     class=0x060000 card=0x00000000 chip=0x11031022 rev=0x00 hdr=0x00
    vendor     = 'Advanced Micro Devices [AMD]'
    device     = 'K8 [Athlon64/Opteron] Miscellaneous Control'
    class      = bridge
    subclass   = HOST-PCI
vgapci0@pci0:1:5:0:     class=0x030000 card=0x0300107b chip=0x59551002 rev=0x00 hdr=0x00
    vendor     = 'ATI Technologies Inc'
    device     = 'Radeon XPRESS 200M 5955 (PCIE)'
    class      = display
    subclass   = VGA
mskc0@pci0:3:0:0:       class=0x020000 card=0x0300107b chip=0x435111ab rev=0x10 hdr=0x00
    vendor     = 'Marvell Technology Group Ltd.'
    device     = '88E8036 PCI-E Fast Ethernet Controller'
    class      = network
    subclass   = ethernet
none3@pci0:5:2:0:       class=0x028000 card=0x000617f9 chip=0x431814e4 rev=0x02 hdr=0x00
    vendor     = 'Broadcom Corporation'
    device     = 'BCM4318 [AirForce One 54g] 802.11g Wireless LAN Controller'
    class      = network
cbb0@pci0:5:9:0:        class=0x060700 card=0x0300107b chip=0x8031104c rev=0x00 hdr=0x02
    vendor     = 'Texas Instruments'
    device     = 'PCIxx21/x515 Cardbus Controller'
    class      = bridge
    subclass   = PCI-CardBus
fwohci0@pci0:5:9:2:     class=0x0c0010 card=0x0300107b chip=0x8032104c rev=0x00 hdr=0x00
    vendor     = 'Texas Instruments'
    device     = 'OHCI Compliant IEEE 1394 Host Controller'
    class      = serial bus
    subclass   = FireWire
none4@pci0:5:9:3:       class=0x018000 card=0x0300107b chip=0x8033104c rev=0x00 hdr=0x00
    vendor     = 'Texas Instruments'
    device     = 'PCIxx21 Integrated FlashMedia Controller'
    class      = mass storage
none5@pci0:5:9:4:       class=0x080500 card=0x0300107b chip=0x8034104c rev=0x00 hdr=0x00
    vendor     = 'Texas Instruments'
    device     = 'PCI6411/6421/6611/6621/7411/7421/7611/7621 Secure Digital Controller'
    class      = base peripheral
    subclass   = SD host controller

How-To-Repeat: Use the internet
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-04-07 21:36:24 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

Over to maintainer(s).
Comment 2 Pyun YongHyeon freebsd_committer 2012-04-23 02:29:53 UTC
State Changed
From-To: open->feedback

Would you try the diff at the following URL? 
http://svnweb.freebsd.org/base/stable/9/sys/dev/msk/if_msk.c?r1=229524&r2=229874&view=patch 
Also make sure to cold boot your box after applying the patch. 
Warm reboot may not address the issue. 


Comment 3 Pyun YongHyeon freebsd_committer 2012-04-23 02:29:53 UTC
Responsible Changed
From-To: freebsd-net->yongari

Grab.
Comment 4 longwitz 2012-06-24 18:27:00 UTC
Same problem with FreeBSD 8.3 Stable and (output of pciconf -vlc)

mskc0@pci0:4:0:0:       class=0x020000 card=0x34528086 chip=0x436111ab
rev=0x18 hdr=0x00
    vendor     = 'Marvell Semiconductor (Was: Galileo Technology Ltd)'
    device     = 'Yukon 88E8050 PCI-E ASF Gigabit Ethernet Controller'
    class      = network
    subclass   = ethernet
    cap 01[48] = powerspec 2  supports D0 D1 D2 D3  current D0
    cap 03[50] = VPD
    cap 05[5c] = MSI supports 2 messages, 64 bit
    cap 10[e0] = PCI-Express 1 legacy endpoint max data 128(128) link x1(x1)
ecap 0001[100] = AER 1 0 fatal 0 non-fatal 1 corrected

Cold boot helps, but it looks that every boot has to be a cold boot.
Therefore I use ifconfig msk0 -rxcsum and the problem is gone away.

Further I use hw.msk.msi_disable="1" to get rid of the watchdog timeout
problem with link state changed to DOWN/UP.

Running the GENERIC kernel I see on every boot the message
   mskc0: Uncorrectable PCI Express error.
With the msk.pcierr.patch given in kern/119613 the message is
   mskc0: PCI Express error(0x00100000).
Running my own kernel (only network devices miibus,fxp,rl,msk) the PCI
Error message disappears.

-- 
Andreas Longwitz
Comment 5 VVD 2012-08-01 18:31:04 UTC
I have same issue:
msk0: watchdog timeout
msk0: prefetch unit stuck?
msk0: initialization failed: no memory for Rx buffers

After adding to /boot/loader.conf:
net.inet.tcp.tso=0
hw.pci.enable_msix=0
hw.pci.enable_msi=0
and to rc.conf:
ifconfig_msk0="inet x.x.x.x netmask 255.255.255.0 -tso -txcsum -rxcsum 
-vlanhwtag"
left only:
msk0: watchdog timeout

And "watchdog timeout" occurs not so fast as before, but always after 
1-2 mins of high network load (scp, for example). With low load it work 
already 15 days without "watchdog timeout".

If any from FreeBSD's developers team want, I can give root access to 
this computer for fix this bug.


Other info:
FreeBSD gnat.xxx.local 9.0-STABLE FreeBSD 9.0-STABLE #0: Mon Jul 2 
05:52:45 MSK 2012 root@gnat.xxx.local:/usr/obj/usr/src/sys/GNAT  amd64
(RELENG_9 from Jun 29 2012)

88E8053 PCI-E Gigabit Ethernet Controller integrated on motherboard 
P5GD2-Deluxe.

hostb0@pci0:0:0:0:      class=0x060000 card=0x25808086 chip=0x25808086 
rev=0x04 hdr=0x00
     vendor     = 'Intel Corporation'
     device     = '82915G/P/GV/GL/PL/910GL Memory Controller Hub'
     class      = bridge
     subclass   = HOST-PCI
     cap 09[e0] = vendor (length 9) Intel cap 2 version 1
pcib1@pci0:0:1:0:       class=0x060400 card=0x00008086 chip=0x25818086 
rev=0x04 hdr=0x01
     vendor     = 'Intel Corporation'
     device     = '82915G/P/GV/GL/PL/910GL PCI Express Root Port'
     class      = bridge
     subclass   = PCI-PCI
     cap 0d[88] = PCI Bridge card=0x00008086
     cap 01[80] = powerspec 2  supports D0 D3  current D0
     cap 05[90] = MSI supports 1 message
     cap 10[a0] = PCI-Express 1 root port max data 128(128) link x16(x16)
ecap 0002[100] = VC 1 max VC1
ecap 0005[140] = unknown 1
hdac0@pci0:0:27:0:      class=0x040300 card=0x813d1043 chip=0x26688086 
rev=0x03 hdr=0x00
     vendor     = 'Intel Corporation'
     device     = '82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition 
Audio Controller'
     class      = multimedia
     subclass   = HDA
     cap 01[50] = powerspec 2  supports D0 D3  current D0
     cap 05[60] = MSI supports 1 message, 64 bit
     cap 10[70] = PCI-Express 1 root endpoint max data 128(128) link x0(x0)
ecap 0002[100] = VC 1 max VC1
ecap 0005[130] = unknown 1
pcib2@pci0:0:28:0:      class=0x060400 card=0x00000000 chip=0x26608086 
rev=0x03 hdr=0x01
     vendor     = 'Intel Corporation'
     device     = '82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1'
     class      = bridge
     subclass   = PCI-PCI
     cap 10[40] = PCI-Express 1 root port max data 128(128) link x0(x1)
     cap 05[80] = MSI supports 1 message
     cap 0d[90] = PCI Bridge card=0x00000000
     cap 01[a0] = powerspec 2  supports D0 D3  current D0
ecap 0002[100] = VC 1 max VC1
ecap 0005[180] = unknown 1
pcib3@pci0:0:28:1:      class=0x060400 card=0x00000000 chip=0x26628086 
rev=0x03 hdr=0x01
     vendor     = 'Intel Corporation'
     device     = '82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 2'
     class      = bridge
     subclass   = PCI-PCI
     cap 10[40] = PCI-Express 1 root port max data 128(128) link x1(x1)
     cap 05[80] = MSI supports 1 message
     cap 0d[90] = PCI Bridge card=0x00000000
     cap 01[a0] = powerspec 2  supports D0 D3  current D0
ecap 0002[100] = VC 1 max VC1
ecap 0005[180] = unknown 1
uhci0@pci0:0:29:0:      class=0x0c0300 card=0x80a61043 chip=0x26588086 
rev=0x03 hdr=0x00
     vendor     = 'Intel Corporation'
     device     = '82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI'
     class      = serial bus
     subclass   = USB
uhci1@pci0:0:29:1:      class=0x0c0300 card=0x80a61043 chip=0x26598086 
rev=0x03 hdr=0x00
     vendor     = 'Intel Corporation'
     device     = '82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI'
     class      = serial bus
     subclass   = USB
uhci2@pci0:0:29:2:      class=0x0c0300 card=0x80a61043 chip=0x265a8086 
rev=0x03 hdr=0x00
     vendor     = 'Intel Corporation'
     device     = '82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI'
     class      = serial bus
     subclass   = USB
uhci3@pci0:0:29:3:      class=0x0c0300 card=0x80a61043 chip=0x265b8086 
rev=0x03 hdr=0x00
     vendor     = 'Intel Corporation'
     device     = '82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI'
     class      = serial bus
     subclass   = USB
ehci0@pci0:0:29:7:      class=0x0c0320 card=0x80a61043 chip=0x265c8086 
rev=0x03 hdr=0x00
     vendor     = 'Intel Corporation'
     device     = '82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller'
     class      = serial bus
     subclass   = USB
     cap 01[50] = powerspec 2  supports D0 D3  current D0
     cap 0a[58] = EHCI Debug Port at offset 0xa0 in map 0x14
pcib4@pci0:0:30:0:      class=0x060401 card=0x00000000 chip=0x244e8086 
rev=0xd3 hdr=0x01
     vendor     = 'Intel Corporation'
     device     = '82801 PCI Bridge'
     class      = bridge
     subclass   = PCI-PCI
     cap 0d[50] = PCI Bridge card=0x00000000
isab0@pci0:0:31:0:      class=0x060100 card=0x00000000 chip=0x26408086 
rev=0x03 hdr=0x00
     vendor     = 'Intel Corporation'
     device     = '82801FB/FR (ICH6/ICH6R) LPC Interface Bridge'
     class      = bridge
     subclass   = PCI-ISA
atapci1@pci0:0:31:1:    class=0x01018a card=0x80a61043 chip=0x266f8086 
rev=0x03 hdr=0x00
     vendor     = 'Intel Corporation'
     device     = '82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller'
     class      = mass storage
     subclass   = ATA
ahci0@pci0:0:31:2:      class=0x010601 card=0x26061043 chip=0x26528086 
rev=0x03 hdr=0x00
     vendor     = 'Intel Corporation'
     device     = '82801FR/FRW (ICH6R/ICH6RW) SATA Controller'
     class      = mass storage
     subclass   = SATA
     cap 01[70] = powerspec 2  supports D0 D3  current D0
ichsmb0@pci0:0:31:3:    class=0x0c0500 card=0x80a61043 chip=0x266a8086 
rev=0x03 hdr=0x00
     vendor     = 'Intel Corporation'
     device     = '82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller'
     class      = serial bus
     subclass   = SMBus
vgapci0@pci0:4:0:0:     class=0x030000 card=0x005c1043 chip=0x5b601002 
rev=0x00 hdr=0x00
     vendor     = 'ATI Technologies Inc'
     device     = 'RV370 5B60 [Radeon X300 (PCIE)]'
     class      = display
     subclass   = VGA
     cap 01[50] = powerspec 2  supports D0 D1 D2 D3  current D0
     cap 10[58] = PCI-Express 1 endpoint max data 128(128) link x16(x16)
     cap 05[80] = MSI supports 1 message, 64 bit
ecap 0001[100] = AER 1 0 fatal 0 non-fatal 0 corrected
vgapci1@pci0:4:0:1:     class=0x038000 card=0x005d1043 chip=0x5b701002 
rev=0x00 hdr=0x00
     vendor     = 'ATI Technologies Inc'
     device     = 'RV370 [Radeon X300SE]'
     class      = display
     cap 01[50] = powerspec 2  supports D0 D1 D2 D3  current D0
     cap 10[58] = PCI-Express 1 endpoint max data 128(128) link x16(x16)
mskc0@pci0:2:0:0:       class=0x020000 card=0x81421043 chip=0x436211ab 
rev=0x15 hdr=0x00
     vendor     = 'Marvell Technology Group Ltd.'
     device     = '88E8053 PCI-E Gigabit Ethernet Controller'
     class      = network
     subclass   = ethernet
     cap 01[48] = powerspec 2  supports D0 D1 D2 D3  current D0
     cap 03[50] = VPD
     cap 05[5c] = MSI supports 2 messages, 64 bit
     cap 10[e0] = PCI-Express 1 legacy endpoint max data 128(128) link 
x1(x1)
ecap 0001[100] = AER 1 0 fatal 0 non-fatal 1 corrected
none0@pci0:1:0:0:       class=0x020000 card=0x138f1043 chip=0x1fa711ab 
rev=0x07 hdr=0x00
     vendor     = 'Marvell Technology Group Ltd.'
     device     = '88W8310 and 88W8000G [Libertas] 802.11g client chipset'
     class      = network
     subclass   = ethernet
     cap 01[40] = powerspec 2  supports D0 D3  current D0
fwohci0@pci0:1:3:0:     class=0x0c0010 card=0x808b1043 chip=0x8023104c 
rev=0x00 hdr=0x00
     vendor     = 'Texas Instruments'
     device     = 'TSB43AB22A IEEE-1394a-2000 Controller (PHY/Link) 
[iOHCI-Lynx]'
     class      = serial bus
     subclass   = FireWire
     cap 01[44] = powerspec 2  supports D0 D1 D2 D3  current D0
atapci0@pci0:1:5:0:     class=0x010400 card=0x81361043 chip=0x31141095 
rev=0x02 hdr=0x00
     vendor     = 'Silicon Image, Inc.'
     device     = 'SiI 3114 [SATALink/SATARaid] Serial ATA Controller'
     class      = mass storage
     subclass   = RAID
     cap 01[60] = powerspec 2  supports D0 D1 D2 D3  current D0

# grep msk /var/run/dmesg.boot
mskc0: <Marvell Yukon 88E8053 Gigabit Ethernet> port 0xc800-0xc8ff mem 
0xd7efc000-0xd7efffff irq 17 at device 0.0 on pci2
msk0: <Marvell Technology Group Ltd. Yukon EC Id 0xb6 Rev 0x01> on mskc0
msk0: Ethernet address: 00:11:d8:4a:cd:c4
miibus0: <MII bus> on msk0
Comment 6 Steve Watt 2012-10-16 16:37:27 UTC
This issue is still occurring on my 8-STABLE box.  The patch suggested in
the feedback state change is already present, and the machine still doesn't
last very long under any kind of load.

 

Maybe it's just time to get that Marvell part out of my machine?  Guess I
overestimated the quality of the Marvell support.

 

What more debugging help can I offer?  It's the exact same message (and same
bit of code), but I don't have the datasheet.

 

-- 

Steve Watt KD6GGD  PP-ASEL-IA          ICBM: 121W 56' 57.5" / 37N 20' 15.3"

Internet: steve @ Watt.COM                        Whois: SW32-ARIN

   Free time?  There's no such thing.  It just comes in varying prices...

 
Comment 7 pyunyh 2012-10-17 18:37:55 UTC
On Tue, Oct 16, 2012 at 04:10:01PM +0000, Steve Watt wrote:
> The following reply was made to PR kern/166727; it has been noted by GNATS.
> 
> From: "Steve Watt" <steve@Watt.COM>
> To: <bug-followup@FreeBSD.org>, <xxjack12xx@gmail.com>
> Cc:  
> Subject: Re: kern/166727: [msk] msk driver keeps erroring
> Date: Tue, 16 Oct 2012 08:37:27 -0700
> 
>  

[...]

>  This issue is still occurring on my 8-STABLE box.  The patch suggested in
>  the feedback state change is already present, and the machine still doesn't
>  last very long under any kind of load.

Ok.

>  Maybe it's just time to get that Marvell part out of my machine?  Guess I
>  overestimated the quality of the Marvell support.

Marvell didn't ever release publicly available data sheet and seems
to have no interests to support FreeBSD at this moment(no data
sheet, no engineering sample, no reply for technical questions
etc).
msk(4) is result of joint effort between open source developers and
users.  Because it's not rare to see several silicon bugs on
specific chip sets, it is driver's responsibility to write a
workaround code or disable some offloading features to get stable
operation.  All these workaround comes from user' feedback and trial
and errors. So, without vendor support,  it shall take time to get
stable driver but I'll try to improve current situation.

>  What more debugging help can I offer?  It's the exact same message (and same
>  bit of code), but I don't have the datasheet.

Unfortunately I have no clue for the issue at this moment. I'll
disable RX checksum offloading in near future since it seems it
triggers more problems. But watchdog timeouts looks completely
different issue to me.
The only thing I can think of is cold-boot(remove power cord and
wait more than 30 seconds and boot).
Comment 8 Pyun YongHyeon freebsd_committer 2012-10-18 01:55:46 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 9 Pyun YongHyeon freebsd_committer 2013-03-15 00:11:41 UTC
State Changed
From-To: open->patched

I've disabled RX checksum offloading for Yukon 88E8053 controller 
so I believe it wouldn't trigger the issue again. It was already 
merged to both stable/9 and stable/8. 
Steve, are you still seening the issue on latest stable/9?
Comment 10 Jack 2014-07-24 08:50:24 UTC
I'm still getting this on FreeBSD 10.0
Comment 11 Alnis Morics 2014-10-16 14:29:49 UTC
The same problem here. I had it on 10-RELEASE amd64 and now on 10.1-RC2.

uname -a:
FreeBSD myhost.mydomain.tld 10.1-RC2 FreeBSD 10.1-RC2 #0 r272876: Fri Oct 10 01:12:21 UTC 2014 root@releng1.nyi.freebsd.org:/usr/obj/usr/src/sys/GENERIC  amd64

pciconf -lv:
[..]
mskc0@pci0:9:0:0:    class=0x020000 card=0xc072144d chip=0x435411ab rev=0x00 hdr=0x00
    vendor     = 'Marvell Technology Group Ltd.'
    device     = '88E8040 PCI-E Fast Ethernet Controller'
    class      = network
    subclass   = ethernet
Comment 12 Pyun YongHyeon freebsd_committer 2014-10-21 08:47:25 UTC
I think the issue mentioned in Bug 166727 has no relation with Alnis's issue and it was fixed long time ago. I know there are a couple of msk(4) instability reports on more recent FreeBSD releases. Given that there was almost no functional msk(4) change for a very long time the issue may be different one.

Alnis, I guess it would be better to show more details on your issue rather than referring to "the same program".  I think you wouldn't see "prefetch unit stuck?" or "initialization failed: no memory for Rx buffers" message on your hardware.
If it shows different issue, file a different report would be better, IMO.
Comment 13 Alnis Morics 2014-10-21 20:15:29 UTC
Well, there are already several PRs about "watchdog timeout" with msk0, so I thought it wouldn't be a good idea to add one more.

At the moment, I have both 9.3-RELEASE and 10.1-RC2 on the same machine. When I boot from 9.3-RELEASE, I don't experience any problems with msk0; for example, I can scp a 200 MB file to it with 9.5 MB/s speed. When I boot from 10.1-RC2 and try to scp a 5 MB file to it:

-only ~300-400 packets are sent (e.g., 374, as shown on "slurm -i msk0")
-speed is ~500 KB/s
-transmission continues for less than a second
-within 10 seconds, "msk0: watchdog timeout" message is printed and repeated every 10 seconds on ttyv0 until I reboot the machine.

No, I don't have "prefetch unit stuck" and "initialization failed: no memory for Rx buffers". Does it mean my problem is unrelated? Is it solved long ago? As I read on Forums, some people have it solved and reappearing (https://forums.freebsd.org/threads/msk0-watchdog-timeout.10183/).
Comment 14 Alnis Morics 2014-10-27 11:15:39 UTC
Pyun, did you make any changes?
For me, the problem seems to have gone away in RC3 (10.1-RC3 FreeBSD 10.1-RC3 #0 r273437: Tue Oct 21 23:55:15 UTC 2014     root@releng1.nyi.freebsd.org:/usr/obj/usr/src/sys/GENERIC  amd64).
Comment 15 Pyun YongHyeon freebsd_committer 2014-10-28 00:24:55 UTC
Glad to hear your issue has gone on RC3.
No, I didn't touch msk(4) at all.  I guess some other change in kernel may have fixed it.
Comment 16 Alnis Morics 2014-11-15 16:44:51 UTC
Sorry to say, for me the issue has reappeared in 10.1-RELEASE. I tried to replace miibus with that from RC3 but the result was exactly the same.
Comment 17 Kurt Jaeger freebsd_committer 2015-04-12 18:25:59 UTC
see

https://lists.freebsd.org/pipermail/freebsd-stable/2015-April/082226.html

for a suggested solution.
Comment 18 Kurt Jaeger freebsd_committer 2015-04-13 09:25:33 UTC
https://lists.freebsd.org/pipermail/freebsd-stable/2015-April/082230.html

says: Problem still persists, with:
mskc0 at pci0:9:0:0:    class=0x020000 card=0xc072144d chip=0x435411ab 
rev=0x00 hdr=0x00
     vendor     = 'Marvell Technology Group Ltd.'
     device     = '88E8040 PCI-E Fast Ethernet Controller'
     class      = network
     subclass   = ethernet

on 10.1p9-amd64.
Comment 19 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:50:19 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 20 kuzvesov 2018-09-28 06:10:50 UTC
The problem is still there in 11.2 release.
My configuration:
 - motherboard gigabyte ga-965p-s3
 - onboard nic marvel 8056 gigabit lan
 - amd64
 - 8gb ram

Symptoms are all the same : any significant traffic via the nic causes hangs of data transfers and lost connections.